# TdApi.ChatMemberStatus (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: ChatMemberStatus

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatMemberStatus

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatMemberStatus

Direct Known Subclasses:
  `TdApi.ChatMemberStatusAdministrator`, `TdApi.ChatMemberStatusBanned`, `TdApi.ChatMemberStatusCreator`, `TdApi.ChatMemberStatusLeft`, `TdApi.ChatMemberStatusMember`, `TdApi.ChatMemberStatusRestricted`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.ChatMemberStatus extends TdApi.Object permits TdApi.ChatMemberStatusCreator, TdApi.ChatMemberStatusAdministrator, TdApi.ChatMemberStatusMember, TdApi.ChatMemberStatusRestricted, TdApi.ChatMemberStatusLeft, TdApi.ChatMemberStatusBanned
This class is an abstract base class. Provides information about the status of a member in a chat.

## Constructor Summary

Constructors
Constructor
Description
`ChatMemberStatus()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ChatMemberStatus

public ChatMemberStatus()
Default class constructor.